package com.xxrv.invoice.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.util.List;

/**
 * 开票记录
 */

public class BillingHistoryBean extends BaseBean {

    private DataBeanX data;
    private int code;

    public DataBeanX getData() {
        return data;
    }

    public void setData(DataBeanX data) {
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public static class DataBeanX {

        private int totalCount;
        private int totalPage;
        private int pageNum;
        private List<DataBean> data;

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public List<DataBean> getData() {
            return data;
        }

        public void setData(List<DataBean> data) {
            this.data = data;
        }

        public static class DataBean implements Serializable {

            private String id;
            private String type;
            private String orderIds;
            private String titleType;
            private String titleName;
            private String taxCode;
            private String contentRemark;
            private String contentContact;
            private String contentAccount;
            private String drawer;
            private double amount;
            private String receiveType;
            private String receiveContent;
            private long crtTime;
            private long updTime;
            private String userId;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }

            public String getOrderIds() {
                return orderIds;
            }

            public void setOrderIds(String orderIds) {
                this.orderIds = orderIds;
            }

            public String getTitleType() {
                return titleType;
            }

            public void setTitleType(String titleType) {
                this.titleType = titleType;
            }

            public String getTitleName() {
                return titleName;
            }

            public void setTitleName(String titleName) {
                this.titleName = titleName;
            }

            public String getTaxCode() {
                return taxCode;
            }

            public void setTaxCode(String taxCode) {
                this.taxCode = taxCode;
            }

            public String getContentRemark() {
                return contentRemark;
            }

            public void setContentRemark(String contentRemark) {
                this.contentRemark = contentRemark;
            }

            public String getContentContact() {
                return contentContact;
            }

            public void setContentContact(String contentContact) {
                this.contentContact = contentContact;
            }

            public String getContentAccount() {
                return contentAccount;
            }

            public void setContentAccount(String contentAccount) {
                this.contentAccount = contentAccount;
            }

            public String getDrawer() {
                return drawer;
            }

            public void setDrawer(String drawer) {
                this.drawer = drawer;
            }

            public double getAmount() {
                return amount;
            }

            public void setAmount(double amount) {
                this.amount = amount;
            }

            public String getReceiveType() {
                return receiveType;
            }

            public void setReceiveType(String receiveType) {
                this.receiveType = receiveType;
            }

            public String getReceiveContent() {
                return receiveContent;
            }

            public void setReceiveContent(String receiveContent) {
                this.receiveContent = receiveContent;
            }

            public long getCrtTime() {
                return crtTime;
            }

            public void setCrtTime(long crtTime) {
                this.crtTime = crtTime;
            }

            public long getUpdTime() {
                return updTime;
            }

            public void setUpdTime(long updTime) {
                this.updTime = updTime;
            }

            public String getUserId() {
                return userId;
            }

            public void setUserId(String userId) {
                this.userId = userId;
            }
        }
    }
}
